binding gyp not found

When you run npm install and it tries to install a native package like bcrypt and you see an error message like this:

you simple need to install GNU Make. On Ubuntu, the easiest way of doing this is to run

This will not only install make but also related tools like gcc and some standard header files and tools.

Anzeige

Search

Categories

  • Algorithms (5)
  • Allgemein (41)
  • Android (1)
  • Angular (7)
  • APIs (2)
  • Arduino (3)
  • Audio (1)
  • Bioinformatics (11)
  • Boost (4)
  • CAD (1)
  • Calculators (10)
  • cloud-init (1)
  • Container (54)
    • Docker (38)
    • Kubernetes (10)
  • Cryptography (8)
  • Data science (4)
  • E-Mail (1)
  • Electronics (68)
    • Compliance (4)
    • Embedded (29)
      • MicroPython (2)
      • Raspberry Pi (5)
    • EMI (1)
    • FPGA (1)
    • KiCAD (4)
  • Frameworks (12)
    • WordPress (12)
  • Fun (1)
  • Generators (3)
  • Geoinformatics (2)
  • Hardware (3)
  • Linux (120)
  • Machine learning (2)
  • Mathematics (9)
  • Networking (9)
  • nginx (14)
  • OpenCASCADE (29)
  • PDF (5)
  • Performance (4)
  • Physics (1)
  • Programming languages (403)
    • C/C++ (118)
      • GCC errors (23)
    • Go (9)
    • Haskell (8)
    • Haxe (2)
    • HTML (2)
    • Java (5)
    • Javascript (63)
      • NodeJS (28)
    • LaTeX (22)
    • Octave (9)
    • PHP (12)
    • Python (138)
    • R (1)
    • Ruby (1)
    • Shell (15)
    • Typescript (3)
  • Project management (30)
    • Build systems (19)
      • CMake (12)
    • Version management (7)
      • git (6)
      • Subversion (2)
  • Statistics (6)
  • Technologies (90)
    • Cloud (23)
    • Databases (42)
      • ElasticSearch (22)
      • MongoDB (2)
      • SQLite (6)
    • GPU (1)
    • LLVM (2)
    • OpenCV (3)
    • Puppeteer (17)
    • Virtualization (3)
  • Video (3)
  • Windows (5)

Privacy Overview

This website uses cookies to improve your experience while you navigate through the website. Out of these cookies, the cookies that are categorized as necessary are stored on your browser as they are essential for the working of basic functionalities of the website. We also use third-party cookies that help us analyze and understand how you use this website. These cookies will be stored in your browser only with your consent. You also have the option to opt-out of these cookies. But opting out of some of these cookies may have an effect on your browsing experience.

Necessary cookies are absolutely essential for the website to function properly. This category only includes cookies that ensures basic functionalities and security features of the website. These cookies do not store any personal information.

Any cookies that may not be particularly necessary for the website to function and is used specifically to collect user personal data via analytics, ads, other embedded contents are termed as non-necessary cookies. It is mandatory to procure user consent prior to running these cookies on your website.

I have been working on this all day and have tried lots of different things:

  • Uninstalling node and installing latest version
  • Using the —msvs_version= flag set to 2010, 2011, 2012, 2013, 2015
  • Deleting the .node-gyp folder
  • Adding python path to .npmrc like so: python=C:Python27python.exe
  • npm -g install npm@next
  • Running node-gyp rebuild and node-gyp configure
  • Following Robert Kehoe’s guide

The package is an Electron/React app and I am running Windows 10. Console output for npm install is

And for node-gyp rebuild :

gyp: binding.gyp not found (cwd: C:UsersscheinerbockDesktopmpstudio) while trying to load binding.gyp

I am well out of my wheelhouse here and would appreciate any suggestions or information in addition to solutions.

I am trying to install appium using npm command.

Every attempt I am getting errors.

In the last attempt I refer below link:

So to install appium in my windows 10 64 bit machine, I followed below steps:

Getting Error as below:

C:WINDOWSsystem32
ode_modulesappium
ode_modulesheapdump>if not defined npm_config_node_gyp (node «C:Program Files
odejs
ode_modules
pmin
ode-gyp-bin.
ode_modules
ode-gypin
ode-gyp.js» rebuild ) else (node «» rebuild ) gyp: binding.gyp not found (cwd: C:WINDOWSsystem32
ode_modulesappium
ode_modulesheapdump) while trying to load binding.gyp gyp ERR! configure error gyp ERR! stack Error: gyp failed with exit code: 1 gyp ERR! stack at ChildProcess.onCpExit (C:Program Files
odejs
ode_modules
pm
ode_modules
ode-gyplibconfigure.js:305:16) gyp ERR! stack at emitTwo (events.js:106:13) gyp ERR! stack at ChildProcess.emit (events.js:191:7) gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:215:12) gyp ERR! System Windows_NT 10.0.15063 gyp ERR! command «C:Program Files
odejs
ode.exe» «C:Program Files
odejs
ode_modules
pm
ode_modules
ode-gypin
ode-gyp.js» «rebuild» gyp ERR! cwd C:WINDOWSsystem32
ode_modulesappium
ode_modulesheapdump gyp ERR! node -v v6.11.0 gyp ERR! node-gyp -v v3.4.0 gyp ERR! not ok C:WINDOWSsystem32 `— appium@1.7.1

The only problem with appium is with it’s complex configuration.

If any one have working steps to install appium in windows then please share. It will really help

Понравилась статья? Поделиться с друзьями:
Vkontakte.INFO
Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: